5 minute delay on booting to login screen

Bug #1749086 reported by Steve Bainton on 2018-02-13
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xorg (Ubuntu)
Low
Unassigned

Bug Description

With Xubuntu or Kubuntu the screen turns off a few seconds after choosing Ubuntu in grub2 menu, and sometimes the login screen takes 5 minutes to be presented. From that point on everything seems to work as normal.

Booting consistently took only a minute in Kubuntu 14.04.

ApportVersion: 2.20.1-0ubuntu2.15
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
CurrentDesktop: XFCE
DistUpgraded: Fresh install
DistroCodename: xenial
DistroRelease: Ubuntu 16.04
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, including running git bisection searches
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Juniper XT [Radeon HD 5770] [1002:68b8] (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Juniper XT [Radeon HD 5770] [1043:03b6]
InstallationDate: Installed on 2018-02-11 (3 days ago)
InstallationMedia: Xubuntu 16.04.3 LTS "Xenial Xerus" - Release amd64 (20170801)
MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
Package: xorg 1:7.7+13ubuntu3
PackageArchitecture: amd64
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-32-generic root=UUID=7529842e-d871-4641-89dc-3a4980dda2de ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 4.13.0-32.35~16.04.1-generic 4.13.13
Tags: xenial ubuntu
Uname: Linux 4.13.0-32-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 10/18/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P1.80
dmi.board.name: 770 Extreme3
dmi.board.vendor: ASRock
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP1.80:bd10/18/2010:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rn770Extreme3:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.family: To Be Filled By O.E.M.
dmi.product.name: To Be Filled By O.E.M.
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: To Be Filled By O.E.M.
version.compiz: compiz N/A
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.83-1~16.04.1
version.libgl1-mesa-dri: libgl1-mesa-dri 17.2.4-0ubuntu1~16.04.4
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 17.2.4-0ubuntu1~16.04.4
version.xserver-xorg-core: xserver-xorg-core N/A
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

Steve Bainton (astandet) on 2018-02-13
description: updated
Changed in xorg (Ubuntu):
importance: Undecided → Low
status: New → Incomplete

apport information

tags: added: apport-collected ubuntu
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Hello. Thank you for getting back to me regarding Bug 1749086. I've done
what you asked me for, however a strange thing has happened. Today I
managed to boot Ubuntu 5 times in a row without any problems (which was
unthinkable up until that point), therefore the logs may not contain any
errors. Critical updates are set to download and install in the background
so they might have silently fixed the issue. Please don't close the bug
report just yet so I can monitor the situation and I will let you know if
something out of ordinary happens.

Kind regards,
Steve Bainton

On 13 Feb 2018 23:55, "Christopher M. Penalver" <
<email address hidden>> wrote:

> Steve Bainton, thank you for reporting this and helping make Ubuntu
> better.
>
> Could you please run the following command once from a terminal by
> ensuring you have the package xdiagnose installed, and that you click the
> Yes button for attaching additional debugging information:
> apport-collect 1749086
>
> When reporting xorg related bugs in the future, please do so via the
> above method. You can learn more about this functionality at
> https://wiki.ubuntu.com/ReportingBugs.
>
> ** Changed in: xorg (Ubuntu)
> Importance: Undecided => Low
>
> ** Changed in: xorg (Ubuntu)
> Status: New => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1749086
>
> Title:
> (X)Ubuntu 16.04.3 LTS: sleep on boot
>
> Status in xorg package in Ubuntu:
> Incomplete
>
> Bug description:
> Newly installed xubuntu, kubuntu (other flavours I haven't tried, but
> probably the same), the screen turns off a few seconds after choosing
> ubuntu in grub2 menu, after about 5 minutes it comes back to life and
> login screen is presented and from that point on everything seems to
> work as normal. (Might have sth to do with Radeon drivers?) Please
> tell me what other info you need.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.04
> Package: xorg 1:7.7+13ubuntu3
> ProcVersionSignature: Ubuntu 4.13.0-32.35~16.04.1-generic 4.13.13
> Uname: Linux 4.13.0-32-generic x86_64
> ApportVersion: 2.20.1-0ubuntu2.15
> Architecture: amd64
> CurrentDesktop: XFCE
> Date: Tue Feb 13 07:37:53 2018
> InstallationDate: Installed on 2018-02-11 (1 days ago)
> InstallationMedia: Xubuntu 16.04.3 LTS "Xenial Xerus" - Release amd64
> (20170801)
> ProcEnviron:
> LANGUAGE=en_GB:en
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_GB.UTF-8
> SHELL=/bin/bash
> SourcePackage: xorg
> Symptom: display
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1749086/+subscriptions
>

Ok, I don't understand how come, but it seems to work fine now. Possibly sth to do with kernel as same thing used to happen with OpenSUSE and Mint, including during installation (only for a few seconds though).

tags: added: bios-outdated-1.90
Steve Bainton (astandet) wrote :

The problem is back. Gonna update BIOS tomorrow and send the automated report.

Steve Bainton (astandet) wrote :

Oops, just realized my BIOS version is most recent for this MOBO. Sending report.

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

description: updated
Download full text (15.8 KiB)

Thank you for your detailed response. Will do my best tomorrow.

On 14 Feb 2018 20:21, "Christopher M. Penalver" <
<email address hidden>> wrote:

> Steve Bainton:
>
> 1) To advise, you don't have to apport-collect further unless
> specifically requested to do so.
>
> 2) Regarding your BIOS, it is not the latest as per your motherboard
> vendor:
> http://www.asrock.com/mb/AMD/770%20Extreme3/#BIOS
>
> 3) Did this issue start to happen after an update? If so, which?
>
> 4) As per your log
> https://launchpadlibrarian.net/357032471/CurrentDmesg.txt the computer
> is suffering from kernel crashes that are correlated to the boot delay.
>
> Hence, in order to allow additional upstream mainline kernel developers to
> examine the issue, at your earliest convenience, could you please test the
> latest mainline kernel available from http://kernel.ubuntu.com/~
> kernel-ppa/mainline/?C=N;O=D ? Please keep in mind the following:
> 1) The one to test is at the very top line at the top of the page (not the
> daily folder).
> 2) The release names are irrelevant.
> 3) The folder time stamps aren't indicative of when the kernel actually
> was released upstream.
> 4) Install instructions are available at https://wiki.ubuntu.com/
> Kernel/MainlineBuilds .
>
> If testing on your main install would be inconvenient, one may:
> 1) Install Ubuntu to a different partition and then test this there.
> 2) Backup, or clone the primary install.
>
> If the latest kernel did not allow you to test to the issue (ex. you
> couldn't boot into the OS) please make a comment in your report about this,
> and continue to test the next most recent kernel version until you can test
> to the issue. Once you've tested the mainline kernel, please comment on
> which kernel version specifically you tested. If this issue is not
> reproducible in the mainline kernel, please add the following tags by
> clicking on the yellow circle with a black pencil icon, next to the word
> Tags, located at the bottom of the report description:
> kernel-fixed-upstream
> kernel-fixed-upstream-X.Y-rcZ
>
> Where X, and Y are the first two numbers of the kernel version, and Z is
> the release candidate number if it exists.
>
> If the issue is reproducible with the mainline kernel, please add the
> following tags:
> kernel-bug-exists-upstream
> kernel-bug-exists-upstream-X.Y-rcZ
>
> Please note, an error to install the kernel does not fit the criteria of
> kernel-bug-exists-upstream.
>
> Also, you don't need to apport-collect further unless specifically
> requested to do so.
>
> It is most helpful that after testing of the latest mainline kernel is
> complete, you mark this report Status Confirmed.
>
> Lastly, to keep this issue relevant to upstream, please continue to test
> the latest mainline kernel as it becomes available.
>
> Thank you for your help.
>
> ** Description changed:
>
> - Newly installed xubuntu, kubuntu (other flavours I haven't tried, but
> - probably the same), the screen turns off a few seconds after choosing
> - ubuntu in grub2 menu, after about 5 minutes it comes back to life and
> - login screen is presented and from that point on everything seems to
> - work as normal. (Might ha...

Steve Bainton (astandet) on 2018-02-15
tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-4.16-rc1
Changed in xorg (Ubuntu):
status: Incomplete → Confirmed

tested with 4.16-rc1 - verified no fix; BIOS not updated, as I would rather not use beta version; <Ubuntu 14.04 works fine>

Steve Bainton (astandet) wrote :

Issue exists on fresh install, i.e. isn't caused by any particular update

summary: - (X)Ubuntu 16.04.3 LTS: sleep on boot
+ 5 minute delay on booting to login screen
Changed in xorg (Ubuntu):
status: Confirmed → Incomplete
Steve Bainton (astandet) wrote :

sorry, confused numbers, thought I had 1.90 and didn't double check, my bad - WILL UPDATE BIOS then post dmesg

Steve Bainton (astandet) wrote :

sorry, confused numbers, thought I had 1.90 and didn't double check, my bad - WILL UPDATE BIOS then post dmesg

---------------------

ok, BIOS updated to 1.90, issue still exists, dmesg attached

Steve Bainton (astandet) on 2018-02-15
Changed in xorg (Ubuntu):
status: Incomplete → Confirmed
Steve Bainton (astandet) wrote :

so as you can see the bugs have not been fixed in the most recent version

Steve Bainton:

1) Regarding your latest dmesg, you don't have any kernel crashes (good). Could you please advise if there is any improvement on the 5 minute delay of booting to the login screen, even if minor?

2) Regarding your comment https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1749086/comments/43 :
>"Ubuntu 14.04 works fine"

2a) To clarify, when did you test 14.04 on this hardware?

2b) Were you using Xubuntu or Kubuntu?

2c) Was this reproducible on any releases between 14.04 and 16.04?

2d) How long did it take to boot in 14.04?

3) To further root cause the boot process, you please post the results of the following terminal commands:
systemd-analyze
systemd-analyze blame
systemd-analyze critical-chain

Changed in xorg (Ubuntu):
status: Confirmed → Incomplete
tags: added: latest-bios-1.90
removed: bios-outdated-1.90
Steve Bainton (astandet) wrote :

1) It's pretty much hit and miss at this point, sometimes takes longer sometimes shorter, 5 minutes is still not out of the question but most of the time it boots ok, although a new error started appearing: [ 3.292085] usb 1-3.5.1: device descriptor read/64, error -32

2a,b,c) I've been using Kubuntu 14.04 for years without any problems. The problems started recently, when I upgraded to 16.04.(maybe I should consider downgrading kernel?) Never encountered any serious problems on this hardware in any distro/version prior to 16.04 (as I mentioned earlier, current kernel misbehaves in Xubuntu, Kubuntu and OpenSUSE)

2d) nothing out of ordinary, a minute or so (guess)
3) attached (as you will find on this occasion boot up was quick but it's not always the case)

Tomorrow I will have time to test it more thoroughly to observe how frequently abnormalities appear.

Steve Bainton:

To advise, post the terminal commands along with demsg after a bad boot. Posting it after a good boot doesn't help.

description: updated
Steve Bainton (astandet) wrote :

Sure.

Steve Bainton (astandet) wrote :

Right now boots perfectly every time. I'll keep testing.

Steve Bainton (astandet) wrote :

Until further notice, all works fine.

Steve Bainton (astandet) wrote :

Ok, the problem no longer occurs. It seems, BIOS update did the trick after all. Strange thing is: even after the update the problem still manifested itself a few times but now it all seems good. Thank you, Christopher M. Penalver, for your help and I think you can close the bug report now.

Steve Bainton:

To clarify, did the problem stop when using the upstream kernel, the Ubuntu kernel, or both?

Download full text (3.4 KiB)

both

On 17 Feb 2018 16:50, "Christopher M. Penalver" <
<email address hidden>> wrote:

Steve Bainton:

To clarify, did the problem stop when using the upstream kernel, the
Ubuntu kernel, or both?

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1749086

Title:
  5 minute delay on booting to login screen

Status in xorg package in Ubuntu:
  Incomplete

Bug description:
  With Xubuntu or Kubuntu the screen turns off a few seconds after
  choosing Ubuntu in grub2 menu, and sometimes the login screen takes 5
  minutes to be presented. From that point on everything seems to work
  as normal.

  Booting consistently took only a minute in Kubuntu 14.04.

  ApportVersion: 2.20.1-0ubuntu2.15
  Architecture: amd64
  CompizPlugins: No value set for `/apps/compiz-1/general/
screen0/options/active_plugins'
  CompositorRunning: None
  CurrentDesktop: XFCE
  DistUpgraded: Fresh install
  DistroCodename: xenial
  DistroRelease: Ubuntu 16.04
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, including running git bisection searches
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Juniper XT [Radeon HD 5770]
[1002:68b8] (prog-if 00 [VGA controller])
     Subsystem: ASUSTeK Computer Inc. Juniper XT [Radeon HD 5770]
[1043:03b6]
  InstallationDate: Installed on 2018-02-11 (3 days ago)
  InstallationMedia: Xubuntu 16.04.3 LTS "Xenial Xerus" - Release amd64
(20170801)
  MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
  Package: xorg 1:7.7+13ubuntu3
  PackageArchitecture: amd64
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-32-generic
root=UUID=7529842e-d871-4641-89dc-3a4980dda2de ro quiet splash vt.handoff=7
  ProcVersionSignature: Ubuntu 4.13.0-32.35~16.04.1-generic 4.13.13
  Tags: xenial ubuntu
  Uname: Linux 4.13.0-32-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 10/18/2010
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: P1.80
  dmi.board.name: 770 Extreme3
  dmi.board.vendor: ASRock
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP1.80:bd10/18/2010:
svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:
rvnASRock:rn770Extreme3:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.family: To Be Filled By O.E.M.
  dmi.product.name: To Be Filled By O.E.M.
  dmi.product.version: To Be Filled By O.E.M.
  dmi.sys.vendor: To Be Filled By O.E.M.
  version.compiz: compiz N/A
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.83-1~16.04.1
  version.libgl1-mesa-dri: libgl1-mesa-dri 17.2.4-0ubuntu1~16.04.4
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 17.2.4-0ubuntu1~16.04.4
  version.xserver-xorg-core: xserver-xorg-core N/A
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
  v...

Read more...

Steve Bainton, I'll close this report as per your comment https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1749086/comments/57 regarding this being fixed with a BIOS update.

Changed in xorg (Ubuntu):
status: Incomplete → Invalid
Steve Bainton (astandet) wrote :

thank you

Steve Bainton (astandet) wrote :

Actually I think the problem was PSU related, my old PSU was inadequate it seems. After replacing it, no more errors.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers